IPI backtrace in dmesg

Bug #1100202 reported by James Hunt on 2013-01-16
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Quantal
Undecided
Luis Henriques
Raring
Medium
Unassigned

Bug Description

Noticed when my USB serial device failed to appear, but seems unrelated to that.
__________

[ 131.963067] EXT4-fs (mmcblk0): mounted filesystem with ordered data mode. Opts: (null)
[ 132.527081] EXT2-fs (sdb1): warning: mounting unchecked fs, running e2fsck is recommended
[ 506.690862] ------------[ cut here ]------------
[ 506.690878] WARNING: at /build/buildd/linux-3.8.0/arch/x86/kernel/apic/ipi.c:109 default_send_IPI_mask_logical+0xb2/0xf0()
[ 506.690880] Hardware name: 2516CTO
[ 506.690882] empty IPI mask
[ 506.690883] Modules linked in: ext2(F) overlayfs(F) ip6table_filter(F) ip6_tables(F) ebtable_nat(F) ebtables(F) xt_state(F) ipt_REJECT(F) xt_CHECKSUM(F) iptable_mangle(F) xt_tcpudp(F) iptable_filter(F) ipt_MASQUERADE(F) iptable_nat(F) nf_conntrack_ipv4(F) nf_defrag_ipv4(F) nf_nat_ipv4(F) nf_nat(F) nf_conntrack(F) ip_tables(F) x_tables(F) bridge(F) stp(F) llc(F) rfcomm bnep parport_pc(F) ppdev(F) deflate(F) zlib_deflate(F) ctr(F) twofish_generic(F) twofish_i586(F) twofish_common(F) camellia_generic(F) serpent_sse2_i586(F) serpent_generic(F) glue_helper(F) blowfish_generic(F) blowfish_common(F) cast5_generic(F) cast_common(F) des_generic(F) xcbc(F) rmd160(F) crypto_null(F) af_key(F) xfrm_algo(F) nfsd(F) auth_rpcgss(F) nfs_acl(F) nfs(F) binfmt_misc(F) lockd(F) sunrpc(F) fscache(F) nvidia(POF) coretemp kvm_intel uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core arc4(F) iwldvm kvm videodev btusb mac80211 bluetooth aesni_intel(F) aes_i586(F) xts(F) lrw(F) gf128mul(F) snd_hda_codec_hdmi iwlwifi ablk_helper(F) joydev(F) cryptd(F) snd_hda_codec_conexant snd_hda_intel snd_hda_codec thinkpad_acpi cfg80211 nvram(F) psmouse(F) dm_multipath(F) snd_hwdep(F) snd_seq_midi(F) snd_seq_midi_event(F) snd_pcm(F) mxm_wmi mei mac_hid lpc_ich snd_page_alloc(F) wmi serio_raw(F) scsi_dh intel_ips tpm_tis microcode(F) snd_rawmidi(F) snd_seq(F) snd_seq_device(F) snd_timer(F) snd(F) video(F) soundcore(F) lp(F) parport(F) mmc_block hid_generic firewire_ohci firewire_core sdhci_pci crc_itu_t(F) sdhci usbhid hid usb_storage(F) e1000e(F) nbd(F)
[ 506.691019] Pid: 4465, comm: thunderbird Tainted: PF O 3.8.0-0-generic #3-Ubuntu
[ 506.691023] Call Trace:
[ 506.691036] [<c104a4c2>] warn_slowpath_common+0x72/0xa0
[ 506.691044] [<c1033232>] ? default_send_IPI_mask_logical+0xb2/0xf0
[ 506.691050] [<c1033232>] ? default_send_IPI_mask_logical+0xb2/0xf0
[ 506.691058] [<c104a593>] warn_slowpath_fmt+0x33/0x40
[ 506.691065] [<c1033232>] default_send_IPI_mask_logical+0xb2/0xf0
[ 506.691074] [<c10311a5>] native_send_call_func_ipi+0x45/0x60
[ 506.691082] [<c10a6eb2>] smp_call_function_many+0x172/0x200
[ 506.691089] [<c1042c90>] ? do_flush_tlb_all+0x50/0x50
[ 506.691095] [<c1042d6b>] native_flush_tlb_others+0x2b/0x30
[ 506.691102] [<c1043011>] flush_tlb_page+0x51/0xa0
[ 506.691111] [<c113e872>] ptep_clear_flush+0x42/0x60
[ 506.691122] [<c112ef1a>] do_wp_page+0x29a/0x910
[ 506.691131] [<c1131364>] handle_pte_fault+0x234/0x520
[ 506.691137] [<c1043dc7>] ? kmap_atomic_prot+0xe7/0x100
[ 506.691144] [<c1132685>] handle_mm_fault+0x1f5/0x2c0
[ 506.691157] [<c1612b40>] __do_page_fault+0x180/0x4b0
[ 506.691164] [<c10497e2>] ? do_fork+0xd2/0x320
[ 506.691170] [<c1042d28>] ? flush_tlb_func+0x98/0xb0
[ 506.691177] [<c10a71a1>] ? generic_smp_call_function_interrupt+0xd1/0x170
[ 506.691185] [<c1612e70>] ? __do_page_fault+0x4b0/0x4b0
[ 506.691192] [<c1612e7d>] do_page_fault+0xd/0x10
[ 506.691199] [<c160fe67>] error_code+0x67/0x6c
[ 506.691208] [<c1600000>] ? set_cpu_sibling_map+0x2/0x31e
[ 506.691213] ---[ end trace c9cba9ab9b2750f1 ]---

__________
---
ApportVersion: 2.8-0ubuntu1
Architecture: i386
DistroRelease: Ubuntu 13.04
InstallationDate: Installed on 2010-10-21 (818 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_CA.UTF8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.8.0-0.3-generic 3.8.0-rc3
Tags: raring running-unity
Uname: Linux 3.8.0-0-generic i686
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to raring on 2012-12-20 (26 days ago)
UserGroups: adm admin cdrom dialout kvm libvirtd lpadmin plugdev sambashare sbuild vboxusers

Related branches

CVE References

James Hunt (jamesodhunt) on 2013-01-16
tags: added: apport-collected raring running-unity
description: updated
James Hunt (jamesodhunt) wrote :

Due to apport bug 1100198, I am unable to run apport-collect.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1100202

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Do you happen to know if this issue is new in raring? Do you see the backtrace multiple times in your logs?

Changed in linux (Ubuntu):
importance: Undecided → Medium
James Hunt (jamesodhunt) wrote :
Download full text (4.4 KiB)

I've found one other earlier occurrence:
__________

Jan 11 16:05:35 azul kernel: [28271.973412] ------------[ cut here ]------------
Jan 11 16:05:35 azul kernel: [28271.973424] WARNING: at /build/buildd/linux-3.7.0/arch/x86/kernel/apic/ipi.c:109 default_send_IPI_mask_logical+0xb2/0xf0()
Jan 11 16:05:35 azul kernel: [28271.973426] Hardware name: 2516CTO
Jan 11 16:05:35 azul kernel: [28271.973431] empty IPI mask
Jan 11 16:05:35 azul kernel: [28271.973434] Modules linked in: veth(F) thinkpad_acpi ch341 usbserial ext2(F) overlayfs(F) ip6table_filter(F) ip6_tables(F) ebtable_nat(F) ebtables(F) xt_state(F) ipt_REJECT(F) xt_CHECKSUM(F) iptable_mangle(F) xt_tcpudp(F) iptable_filter(F) ipt_MASQUERADE(F) iptable_nat(F) nf_conntrack_ipv4(F) nf_defrag_ipv4(F) nf_nat_ipv4(F) nf_nat(F) nf_conntrack(F) ip_tables(F) x_tables(F) bridge(F) stp(F) llc(F) rfcomm bnep parport_pc(F) ppdev(F) deflate(F) zlib_deflate(F) ctr(F) twofish_generic(F) twofish_i586(F) twofish_common(F) camellia_generic(F) serpent_sse2_i586(F) serpent_generic(F) glue_helper(F) blowfish_generic(F) blowfish_common(F) cast5_generic(F) des_generic(F) xcbc(F) rmd160(F) crypto_null(F) af_key(F) xfrm_algo(F) nfsd(F) auth_rpcgss(F) nfs_acl(F) nfs(F) binfmt_misc(F) lockd(F) sunrpc(F) fscache(F) usblp uvcvideo btusb videobuf2_vmalloc videobuf2_memops videobuf2_core nvidia(POF) bluetooth videodev coretemp arc4(F) snd_hda_codec_hdmi kvm_intel kvm iwldvm joydev(F) snd_hda_code
Jan 11 16:05:35 azul kernel: c_conexant snd_hda_intel snd_hda_codec mac80211 snd_hwdep(F) snd_pcm(F) nvram(F) snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) snd_rawmidi(F) snd_seq(F) aesni_intel(F) aes_i586(F) snd_seq_device(F) xts(F) iwlwifi psmouse(F) lrw(F) gf128mul(F) snd_timer(F) ablk_helper(F) cryptd(F) snd(F) cfg80211 mei soundcore(F) serio_raw(F) intel_ips dm_multipath(F) mac_hid tpm_tis mxm_wmi lpc_ich scsi_dh wmi microcode(F) video(F) lp(F) parport(F) mmc_block hid_generic usbhid hid firewire_ohci sdhci_pci sdhci firewire_core usb_storage(F) uas e1000e(F) crc_itu_t(F) nbd(F) [last unloaded: thinkpad_acpi]
Jan 11 16:05:35 azul kernel: [28271.973620] Pid: 22003, comm: pool Tainted: PF O 3.7.0-7-generic #15-Ubuntu
Jan 11 16:05:35 azul kernel: [28271.973623] Call Trace:
Jan 11 16:05:35 azul kernel: [28271.973634] [<c1049fc2>] warn_slowpath_common+0x72/0xa0
Jan 11 16:05:35 azul kernel: [28271.973640] [<c1032c62>] ? default_send_IPI_mask_logical+0xb2/0xf0
Jan 11 16:05:35 azul kernel: [28271.973644] [<c1032c62>] ? default_send_IPI_mask_logical+0xb2/0xf0
Jan 11 16:05:35 azul kernel: [28271.973649] [<c104a093>] warn_slowpath_fmt+0x33/0x40
Jan 11 16:05:35 azul kernel: [28271.973654] [<c1032c62>] default_send_IPI_mask_logical+0xb2/0xf0
Jan 11 16:05:35 azul kernel: [28271.973660] [<c1030cd5>] native_send_call_func_ipi+0x45/0x60
Jan 11 16:05:35 azul kernel: [28271.973666] [<c10a3cb2>] smp_call_function_many+0x172/0x200
Jan 11 16:05:35 azul kernel: [28271.973672] [<c10426e0>] ? do_flush_tlb_all+0x50/0x50
Jan 11 16:05:35 azul kernel: [28271.973678] [<c10427bb>] native_flush_tlb_others+0x2b/0x30
Jan 11 16:05:35 azul kernel: [28271.973683] [<c1042a60>] flush_tlb_page+0x50/0xa0
Jan 11 16:05:35 azul kernel: [28...

Read more...

Joseph Salisbury (jsalisbury) wrote :

It looks like this may be an upstream bug. Similar issue reported upstream[0] and in other distros[1]:

[0] http://lkml.org/lkml/2012/12/3/508
[1] https://bugzilla.redhat.com/show_bug.cgi?id=867174

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Joseph Salisbury (jsalisbury) wrote :

Do you have a way to reproduce this issue, or does the message just appear at random times? If we you can reproduce the issue, I should be able to bisect down to the commit that introduced this regression.

Luis Henriques (henrix) wrote :

Looks like there's already a fix already for this:

https://lkml.org/lkml/2013/1/24/531

It should hit mainline (and raring) soon.

Tim Gardner (timg-tpi) on 2013-03-18
Changed in linux (Ubuntu Quantal):
assignee: nobody → Luis Henriques (henrix)
status: New → Fix Committed
Changed in linux (Ubuntu Raring):
status: Triaged → Fix Committed
Angel Guzman Maeso (shakaran) wrote :

@henrix and @timg-tpi I think that the fix only prevents the warning, but it only silence the problem.

I am not a kernel hacker, and probably I am wrong with this, but searching in google,
the mask for IPI seems important to be skipped without consecuences in future.

It is used for x86/apic. APIC (Advanced Programmable Interrupt Controller) provides
the interrupt handling with multiprocessor support and more IRQs.

As far I read, there are Non-Maskable Interrupts (NMI, http://en.wikipedia.org/wiki/Non-maskable_interrupt), i.e, no mask with
the interrupt and it shouldn't be ignored. So if the kernel skip the mask, I guess that it always process the interrupt
even if it is not needed process that exact interrupt. That could be a perfomance penalty in some uses. Also, a no mask seems to be used only with critical cases or as debugging case for faulty code.

Like I said, I am not kernel developer, likely I am saying a dumbness, but it would nice if someone confirm that it is all ok
skipping the mask for APIC. I am running lastest kernel in raring and since I hit this bug I cannot connect my ethernet card to internet (probably because the interrupt it is not processed properly).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-13.23

---------------
linux (3.8.0-13.23) raring; urgency=low

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: enable irqs earlier when resuming"
    - LP: #1156310
  * Revert "drm/i915: reorder setup sequence to have irqs for output setup"
    - LP: #1156310
  * x86/apic: Remove noisy zero-mask warning from
    default_send_IPI_mask_logical()
    - LP: #1100202
  * drm/i915: Fix races in gen4 page flip interrupt handling
    - LP: #1116587
  * drm/i915: Revert hdmi HDP pin checks
    - LP: #1135668
  * signal: always clear sa_restorer on execve
    - LP: #1153813
    - CVE-2013-0914
 -- Tim Gardner <email address hidden> Mon, 18 Mar 2013 10:04:33 -0600

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Luis Henriques (henrix) wrote :

This fix has been accepted upstream and results in removing a warning from the kernel that is harmless -- this warning has been reported repeatedly without any consequence, and thus has been removed from the kernel by Dave Jones.

Since the risk of regression is NULL, I'm tagging this bug as verified.

tags: added: verification-done-quantal
removed: verification-needed-quantal

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (13.2 KiB)

This bug was fixed in the package linux - 3.5.0-27.46

---------------
linux (3.5.0-27.46) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1159991

  [ Steve Conklin ]

  * Start New Release

  [ Upstream Kernel Changes ]

  * crypto: user - fix info leaks in report API
    - LP: #1156790, #1156795, #1156799
    - CVE-2013-2546
  * brcmsmac: fix mismatch in number of custom regulatory rules
    - LP: #1156769

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863

linux (3.5.0-27.45) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.44) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.43) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1156821

  [ Adam Lee ]

  * SAUCE: Bluetooth: Add support for 04ca:2007
    - LP: #1153448

  [ Andy Whitcroft ]

  * [Config] re-disable CONFIG_SOUND_OSS_PRECLAIM
    - LP: #1105230

  [ Brad Figg ]

  * Start new release

  [ Kamal Mostafa ]

  * SAUCE: alx: use github.com/qca/alx repo
    - LP: #1154238

  [ Luis Henriques ]

  * [Config] CONFIG_NFS_V4_1=y
    - LP: #1111416

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #1154238

  [ Upstream Kernel Changes ]

  * Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
    - LP: #1144961
  * genirq: Avoid deadlock in spurious handling
    - LP: #1144961
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1144961
  * v4l: Reset subdev v4l2_dev field to NULL if registration fails
    - LP: #1144961
  * powerpc/eeh: Fix crash when adding a device in a slot with DDW
    - LP: #1144961
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1144961
  * USB: DWC3: Generate interrupt on each TRB as default option
    - LP: #1144961
  * usb: dwc3: gadget: fix skip LINK_TRB on ISOC
    - LP: #1144961
  * usb: dwc3: gadget: req->queued must be forced to false in cleanup
    - LP: #1144961
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1144961
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1144961
  * ab8500-chargalg: Only root should have write permission on sysfs file
    - LP: #1144961
  * USB: option: add and update Alcatel modems
    - LP: #1144961
  * uprobes/powerpc: Add dependency on single step emulation
    - LP: #1144961
  * drivers/video: fsl-diu-fb: fix pixel formats for 24 and 16 bpp
    - LP: #1144961
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1144961
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1144961
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1144961
  * x86-32, mm: Rip out x86_32 NUMA remapping code
    - LP: #1144961
  * x86-32, mm: Remove reference to resume_map_numa_kva()
    - LP: #1144961
  * x86-32, mm: Remove reference to alloc_remap()
    - LP: #1144961
  * ALSA: hda - Release assigned pin/cvt at error path of hdmi_pcm_open()
    - LP: #1144961
  * ab8500_btemp: Demote initcall sequence
    - LP: #1144961
  * Driver co...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.